From 509985230a3da4b9c6047ad38094f061660c059a Mon Sep 17 00:00:00 2001
From: Robert Haas <rhaas@postgresql.org>
Date: Fri, 24 Mar 2023 10:44:03 -0400
Subject: [PATCH 2/2] basebackup_to_shell: Add missing error check.

Per complaint from Peter Eisentraut.
---
 contrib/basebackup_to_shell/basebackup_to_shell.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/contrib/basebackup_to_shell/basebackup_to_shell.c b/contrib/basebackup_to_shell/basebackup_to_shell.c
index 29f5069d42..57ed587d48 100644
--- a/contrib/basebackup_to_shell/basebackup_to_shell.c
+++ b/contrib/basebackup_to_shell/basebackup_to_shell.c
@@ -263,6 +263,11 @@ shell_run_command(bbsink_shell *sink, const char *filename)
 
 	/* Run it. */
 	sink->pipe = OpenPipeStream(sink->current_command, PG_BINARY_W);
+	if (sink->pipe == NULL)
+		ereport(ERROR,
+				(errcode_for_file_access(),
+				 errmsg("could not execute command \"%s\": %m",
+						sink->current_command)));
 }
 
 /*
-- 
2.37.1 (Apple Git-137.1)

